Page MenuHomePhabricator

Include fallback languages in label tracking.
Closed, ResolvedPublic1 Story Points

Description

When tracking label usage, include all fallback languages involved in generating the currently displayed label, one entry per language.. For simplicity, that could be the full fallback chain for the requested (target) language.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterTrack label usage with fallback from Lua.
mediawiki/extensions/Wikibase : masterTrack fallback languages used via parser function.
mediawiki/extensions/Wikibase : masterTrack language of label usage on the client.

Event Timeline

daniel created this task.Mar 18 2015, 11:59 AM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)

Change 209753 had a related patch set uploaded (by Daniel Kinzler):
Track label usage including fallback chain.

https://gerrit.wikimedia.org/r/209753

daniel claimed this task.May 8 2015, 6:00 PM

Change 210051 had a related patch set uploaded (by Daniel Kinzler):
Track label usage with fallback from Lua.

https://gerrit.wikimedia.org/r/210051

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:08 AM

Change 209531 had a related patch set uploaded (by JanZerebecki):
Track language of label usage on the client.

https://gerrit.wikimedia.org/r/209531

Change 209531 merged by jenkins-bot:
Track language of label usage on the client.

https://gerrit.wikimedia.org/r/209531

Rical removed a subscriber: Rical.Jun 3 2015, 6:04 PM
Addshore moved this task from Done to Review on the Wikidata-Sprint-2015-06-02 board.

Change 209753 merged by jenkins-bot:
Track fallback languages used via parser function.

https://gerrit.wikimedia.org/r/209753

Addshore closed this task as Resolved.Jun 10 2015, 11:39 AM
Addshore moved this task from Review to Done on the Wikidata-Sprint-2015-06-02 board.
Addshore added a subscriber: Addshore.

All patches merged / jenkins currently merging

Change 210051 merged by jenkins-bot:
Track label usage with fallback from Lua.

https://gerrit.wikimedia.org/r/210051